Version: 2.112
Release: alt3
Name: emacs-zenirc
Copyright: GPL
Group: Editors
Url: ftp://ftp.splode.com:/pub/zenirc
Summary: IRC client for Emacs
Summary(ru_RU.CP1251):  IRC  Emacs
Requires: emacs-common

Source: zenirc-%{version}.tar.gz
Source1: zenirc.el

BuildArch: noarch

# Automatically added by buildreq on Sat Oct 26 2002
BuildRequires: emacs-common 

%description
IRC client for  Emacs

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.CP1251
 IRC  Emacs

   Emacs Lisp ,      
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.CP1251
 %name-el      %name,  
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n zenirc-%{version}

%build
./configure --prefix=%{_prefix} --with-lispdir=%{_emacslispdir}/zenirc --with-emacs=emacs 
make

%install
mkdir -p $RPM_BUILD_ROOT%{_emacslispdir}/zenirc
install -m 644 src/*.el* $RPM_BUILD_ROOT%{_emacslispdir}/zenirc
rm $RPM_BUILD_ROOT%{_emacslispdir}/zenirc/zenirc-make.el

mkdir -p $RPM_BUILD_ROOT%{_infodir}
install -m 644 doc/*.info* $RPM_BUILD_ROOT%{_infodir}/

mkdir -p $RPM_BUILD_ROOT/etc/emacs/site-start.d
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/etc/emacs/site-start.d/zenirc.el

%clean

%post
%install_info zenirc.info

%preun
%uninstall_info zenirc.info

%files
%defattr(-, root, root)
%doc README INSTALL BUGS NEWS TODO doc/FAQ
%{_infodir}/*
%{_emacslispdir}/zenirc/*.elc
%config(noreplace) /etc/emacs/site-start.d/*

%files el
%{_emacslispdir}/zenirc/*.el

%changelog
* Mon Feb 17 2003 Ott Alex <ott@altlinux.ru> 2.112-alt3
- Fixing spec file

* Mon Jan 13 2003 Ott Alex <ott@altlinux.ru> 2.112-alt2
- Fixing spec-file

* Sat Oct 26 2002 Ott Alex <ott@altlinux.ru> 2.112-alt1
- Initial build


